import { ModuleWithProviders } from '@angular/core';
import { AuthenticationServiceConfig } from '@authentication/model/authentication.service.config';
import * as i0 from "@angular/core";
import * as i1 from "@authentication/components/login/login.component";
import * as i2 from "@authentication/components/login-form/login-form.component";
import * as i3 from "@angular/common";
import * as i4 from "@angular/forms";
import * as i5 from "@angular/material/button";
import * as i6 from "@angular/material/checkbox";
import * as i7 from "@angular/material/dialog";
import * as i8 from "@angular/material/input";
import * as i9 from "@angular/material/progress-bar";
import * as i10 from "@angular/material/progress-spinner";
import * as i11 from "@angular/material/tooltip";
import * as i12 from "@angular/material/select";
import * as i13 from "@dialog/dialog.module";
export * from '@authentication/model/authentication.service.config';
export * from '@authentication/model/authentication-token';
export * from '@authentication/services/authentication.service';
export * from '@authentication/components/login/login.component';
export * from '@authentication/components/login-form/login-form.component';
export declare class AuthenticationModule {
    static forRoot(authenticationConfig: AuthenticationServiceConfig): ModuleWithProviders<AuthenticationModule>;
    constructor(parentModule: AuthenticationModule);
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<AuthenticationModule, [typeof i1.LoginComponent, typeof i2.LoginFormComponent], [typeof i3.CommonModule, typeof i4.FormsModule, typeof i5.MatButtonModule, typeof i6.MatCheckboxModule, typeof i7.MatDialogModule, typeof i8.MatInputModule, typeof i9.MatProgressBarModule, typeof i10.MatProgressSpinnerModule, typeof i11.MatTooltipModule, typeof i12.MatSelectModule, typeof i13.DialogModule], [typeof i1.LoginComponent, typeof i2.LoginFormComponent]>;
    static ɵinj: i0.ɵɵInjectorDef<AuthenticationModule>;
}
