export interface Employee {
    birthDate?: Date;
    city?: string;
    cn: string;
    department?: string;
    description?: string;
    displayName: string;
    distinguishedName: string;
    employeeNumber?: number;
    firstName: string;
    lastName: string;
    hireDate?: Date;
    initials?: string;
    lastBadPasswordAttempt?: Date;
    lastLogonDate?: Date;
    mail?: string;
    manager?: string;
    marketTitle?: string;
    memberOf?: string[];
    mobile?: string;
    objectGUID: string;
    objectSid: string;
    sAMAccountName: string;
    scriptPath?: string;
    state?: string;
    telephoneNumber?: string;
    title?: string;
    title2?: string;
    thumbnailPhoto: string;
    userAccountControl: number;
    userPrincipalName: string;
    whenChanged: Date;
    whenCreated: Date;
    workShift?: string;
}
