import { ModuleWithProviders } from '@angular/core';
import { SharePointServiceConfig } from '@sharepoint/model/sharepoint.service.config';
import * as i0 from "@angular/core";
import * as i1 from "@sharepoint/pipes/sharepoint-photo-url.pipe";
import * as i2 from "@sharepoint/pipes/sharepoint-url.pipe";
import * as i3 from "@angular/common";
export * from '@sharepoint/model/sharepoint-calendar-event';
export * from '@sharepoint/model/sharepoint-customer-visit';
export * from '@sharepoint/model/sharepoint-employee-picture';
export * from '@sharepoint/model/sharepoint-list';
export * from '@sharepoint/model/sharepoint-list-item';
export * from '@sharepoint/model/sharepoint-person';
export * from '@sharepoint/model/sharepoint-picture';
export * from '@sharepoint/model/sharepoint.service.config';
export * from '@sharepoint/services/sharepoint.service';
export * from '@sharepoint/pipes/sharepoint-photo-url.pipe';
export * from '@sharepoint/pipes/sharepoint-url.pipe';
export declare class SharePointModule {
    static forRoot(sharePointConfig: SharePointServiceConfig): ModuleWithProviders<SharePointModule>;
    constructor(parentModule: SharePointModule);
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<SharePointModule, [typeof i1.SharePointPhotoUrlPipe, typeof i2.SharePointUrlPipe], [typeof i3.CommonModule], [typeof i1.SharePointPhotoUrlPipe, typeof i2.SharePointUrlPipe]>;
    static ɵinj: i0.ɵɵInjectorDef<SharePointModule>;
}
