import { ModuleWithProviders } from '@angular/core';
import { UploadServiceConfig } from '@upload/model/upload.service.config';
import * as i0 from "@angular/core";
import * as i1 from "@upload/components/upload/upload.component";
import * as i2 from "@upload/components/upload-dialog/upload-dialog.component";
import * as i3 from "@angular/common";
import * as i4 from "@angular/platform-browser/animations";
import * as i5 from "@angular/common/http";
import * as i6 from "@angular/material/button";
import * as i7 from "@angular/material/dialog";
import * as i8 from "@angular/material/list";
import * as i9 from "@angular/material/progress-bar";
export * from '@upload/model/database-file-info';
export * from '@upload/model/file-upload-request';
export * from '@upload/model/filesystem-file-info';
export * from '@upload/model/upload.service.config';
export * from '@upload/services/upload.service';
export * from '@upload/components/upload-dialog/upload-dialog.component';
export * from '@upload/components/upload/upload.component';
export declare class UploadModule {
    static forRoot(uploadConfig: UploadServiceConfig): ModuleWithProviders<UploadModule>;
    constructor(parentModule: UploadModule);
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<UploadModule, [typeof i1.UploadComponent, typeof i2.UploadDialogComponent], [typeof i3.CommonModule, typeof i4.BrowserAnimationsModule, typeof i5.HttpClientModule, typeof i6.MatButtonModule, typeof i7.MatDialogModule, typeof i8.MatListModule, typeof i9.MatProgressBarModule], [typeof i1.UploadComponent, typeof i2.UploadDialogComponent]>;
    static ɵinj: i0.ɵɵInjectorDef<UploadModule>;
}
