import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { AuthenticationService } from '@authentication/services/authentication.service';
import { SharePointService } from '@sharepoint/services/sharepoint.service';
import * as i0 from "@angular/core";
export declare class LoginFormComponent implements OnInit {
    dialogRef: MatDialogRef<LoginFormComponent>;
    private sharePointService;
    authenticationService: AuthenticationService;
    data: any;
    username: string;
    password: string;
    adminGroup: string;
    loginError: boolean;
    constructor(dialogRef: MatDialogRef<LoginFormComponent>, sharePointService: SharePointService, authenticationService: AuthenticationService, data: any);
    ngOnInit(): void;
    authenticate(): void;
    static ɵfac: i0.ɵɵFactoryDef<LoginFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<LoginFormComponent, "cp-login-form", never, {}, {}, never, never>;
}
