import { EventEmitter, OnInit } from '@angular/core';
import { ConfirmationDialogMode } from '@dialog/model/confirmation-dialog-mode.enum';
import * as i0 from "@angular/core";
export declare class DialogComponent implements OnInit {
    dialogType: string;
    data: any;
    closed: EventEmitter<any>;
    ConfirmationDialogMode: typeof ConfirmationDialogMode;
    mode: ConfirmationDialogMode;
    title: string;
    message: string;
    checkboxMessage: string;
    placeholder: string;
    customTrueFalseText: string[];
    userInput: string;
    checkboxValue: boolean;
    ngOnInit(): void;
    close(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDef<DialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<DialogComponent, "cp-dialog", never, { "dialogType": "dialogType"; "data": "data"; }, { "closed": "closed"; }, never, never>;
}
