import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Email } from '@email/model/email';
import { EmailServiceConfig } from '@email/model/email.service.config';
import * as i0 from "@angular/core";
export declare class EmailService {
    private http;
    private emailServiceConfig;
    constructor(config: EmailServiceConfig, http: HttpClient);
    send(email: Email): Observable<Email>;
    static ɵfac: i0.ɵɵFactoryDef<EmailService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDef<EmailService>;
}
