import { ModuleWithProviders } from '@angular/core';
import { EmployeeServiceConfig } from '@employee/model/employee.service.config';
import * as i0 from "@angular/core";
import * as i1 from "@employee/pipes/departments.pipe";
import * as i2 from "@employee/pipes/employee-by-dn.pipe";
import * as i3 from "@employee/pipes/employees-with-property-value.pipe";
import * as i4 from "@employee/pipes/filter-employees.pipe";
import * as i5 from "@employee/pipes/is-member-of.pipe";
import * as i6 from "@employee/pipes/employee-photo-url.pipe";
import * as i7 from "@employee/pipes/sort-employees.pipe";
import * as i8 from "@angular/common";
export * from '@employee/model/employee.service.config';
export * from '@employee/model/employee';
export * from '@employee/services/employee.service';
export * from '@employee/pipes/departments.pipe';
export * from '@employee/pipes/employee-by-dn.pipe';
export * from '@employee/pipes/employee-photo-url.pipe';
export * from '@employee/pipes/employees-with-property-value.pipe';
export * from '@employee/pipes/filter-employees.pipe';
export * from '@employee/pipes/is-member-of.pipe';
export * from '@employee/pipes/sort-employees.pipe';
export declare class EmployeeModule {
    static forRoot(employeeConfig: EmployeeServiceConfig): ModuleWithProviders<EmployeeModule>;
    constructor(parentModule: EmployeeModule);
    static ɵmod: i0.ɵɵNgModuleDefWithMeta<EmployeeModule, [typeof i1.DepartmentsPipe, typeof i2.EmployeeByDnPipe, typeof i3.EmployeesWithPropertyValuePipe, typeof i4.FilterEmployeesPipe, typeof i5.IsMemberOfPipe, typeof i6.EmployeePhotoUrlPipe, typeof i7.SortEmployeesPipe], [typeof i8.CommonModule], [typeof i1.DepartmentsPipe, typeof i2.EmployeeByDnPipe, typeof i3.EmployeesWithPropertyValuePipe, typeof i4.FilterEmployeesPipe, typeof i5.IsMemberOfPipe, typeof i6.EmployeePhotoUrlPipe, typeof i7.SortEmployeesPipe]>;
    static ɵinj: i0.ɵɵInjectorDef<EmployeeModule>;
}
