import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Employee } from '@employee/model/employee';
import { EmployeeServiceConfig } from '@employee/model/employee.service.config';
import * as i0 from "@angular/core";
export declare class EmployeeService {
    private http;
    private employeeApiUrl;
    employees: Employee[];
    constructor(config: EmployeeServiceConfig, http: HttpClient);
    getEmployees(storeEmployees?: boolean, includeDisabled?: boolean): Observable<Employee[]>;
    getEmployee(sAMAccountName: string): Observable<Employee>;
    static ɵfac: i0.ɵɵFactoryDef<EmployeeService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDef<EmployeeService>;
}
